Index: /LMDZ6/trunk/libf/dyn3dmem/dudv1_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/dudv1_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/dudv1_loc.f90	(revision 5271)
@@ -1,5 +1,6 @@
 SUBROUTINE dudv1_loc ( vorpot, pbaru, pbarv, du, dv )
   USE parallel_lmdz
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
   !-----------------------------------------------------------------------
@@ -17,5 +18,5 @@
   !-----------------------------------------------------------------------
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
 
Index: /LMDZ6/trunk/libf/dyn3dmem/dudv2_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/dudv2_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/dudv2_loc.f90	(revision 5271)
@@ -1,5 +1,6 @@
 SUBROUTINE dudv2_loc ( teta, pkf, bern, du, dv  )
   USE parallel_lmdz
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
   !=======================================================================
@@ -23,5 +24,5 @@
   !=======================================================================
   !
-  include "dimensions.h"
+
   include "paramet.h"
 
Index: /LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5271)
@@ -24,6 +24,7 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS
 
-  IMPLICIT NONE
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5271)
@@ -22,6 +22,7 @@
   USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
 
-  IMPLICIT NONE
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   include "paramet.h"
   include "comgeom.h"
@@ -176,6 +177,7 @@
   USE temps_mod, ONLY: itau_dyn, itaufin
   
-  IMPLICIT NONE
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   include "paramet.h"
   include "description.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/dynredem_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/dynredem_mod.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/dynredem_mod.f90	(revision 5271)
@@ -1,6 +1,5 @@
 MODULE dynredem_mod
 
-  USE dimensions_mod
-  USE parallel_lmdz
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE parallel_lmdz
   USE mod_hallo
   USE netcdf
Index: /LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90	(revision 5271)
@@ -6,6 +6,7 @@
 ! Purpose: Compute kinetic energy at sigma levels.
   USE parallel_lmdz
-  IMPLICIT NONE
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5271)
@@ -38,7 +38,8 @@
     USE comvert_mod, ONLY: preff
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
-    IMPLICIT NONE
-    !
-    include "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+    !
+
     include "paramet.h"
     include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90	(revision 5271)
@@ -34,7 +34,8 @@
     USE comvert_mod, ONLY: preff
     
-    IMPLICIT NONE
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
     !
-    include "dimensions.h"
+
     include "paramet.h"
     include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90	(revision 5271)
@@ -6,6 +6,7 @@
 ! Purpose: Compute mass flux at s levels.
   USE parallel_lmdz
-  IMPLICIT NONE
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/fluxstokenc_p.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5271)
@@ -16,5 +16,6 @@
 
   !
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
   ! Auteurs:   F.Hourdin , P.Le Van, F.Forget, F.Codron
@@ -27,5 +28,5 @@
 
 
-  include "dimensions.h"
+
   include "paramet.h"
   include "tracstoke.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5271)
@@ -7,6 +7,6 @@
   USE control_mod
   USE IOIPSL
-
   USE comconst_mod, ONLY: pi
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   IMPLICIT NONE
 
@@ -23,5 +23,4 @@
   !=======================================================================
 
-  include "dimensions.h"
   include "paramet.h"
   include "comgeom2.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/gcm.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5271)
@@ -28,9 +28,10 @@
 
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
   !      ......   Version  du 10/01/98    ..........
 
-  !             avec  coordonnees  verticales hybrides 
+  !             avec  coordonnees  verticales hybrides
   !   avec nouveaux operat. dissipation * ( gradiv2,divgrad2,nxgraro2 )
 
@@ -59,5 +60,5 @@
   !   Declarations:
   !   -------------
-  include "dimensions.h"
+
   include "paramet.h"
   include "comdissnew.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/geopot_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/geopot_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/geopot_loc.f90	(revision 5271)
@@ -1,5 +1,6 @@
 SUBROUTINE geopot_loc ( ngrid, teta, pk, pks, phis, phi )
   USE parallel_lmdz
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
 
@@ -26,5 +27,5 @@
   !   -------------
 
-  include "dimensions.h"
+
   include "paramet.h"
 
Index: /LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90	(revision 5271)
@@ -26,10 +26,11 @@
   !=======================================================================
   USE parallel_lmdz
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !-----------------------------------------------------------------------
   !   Declararations:
   !   ---------------
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5271)
@@ -26,10 +26,11 @@
   !=======================================================================
   USE parallel_lmdz
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !-----------------------------------------------------------------------
   !   Declararations:
   !   ---------------
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/grad_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/grad_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/grad_loc.f90	(revision 5271)
@@ -11,7 +11,8 @@
   !
   USE parallel_lmdz
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INTEGER :: klevel
Index: /LMDZ6/trunk/libf/dyn3dmem/grad_p.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/grad_p.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/grad_p.f90	(revision 5271)
@@ -11,7 +11,8 @@
   !
   USE parallel_lmdz
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INTEGER :: klevel
Index: /LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5271)
@@ -19,7 +19,8 @@
   USE mod_filtreg_p
   USE gradiv2_mod
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/gradiv2_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/gradiv2_mod.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/gradiv2_mod.f90	(revision 5271)
@@ -11,6 +11,5 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
     TYPE(distrib),POINTER :: d
     d=>distrib_dissip
Index: /LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5271)
@@ -5,5 +5,6 @@
   USE comconst_mod, ONLY: ngroup
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
-  implicit none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
 
   !   sous-programme servant a fitlrer les champs de flux de masse aux
@@ -18,5 +19,5 @@
   !   pas besoin de w en entree.
 
-  include "dimensions.h"
+
   include "paramet.h"
   include "comgeom2.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/groupe_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/groupe_mod.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/groupe_mod.f90	(revision 5271)
@@ -12,6 +12,7 @@
 !  USE infotrac
   USE advtrac_mod, ONLY : advtrac_allocate 
-  IMPLICIT NONE
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   INCLUDE "paramet.h"
   TYPE(distrib),POINTER :: d
Index: /LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90	(revision 5271)
@@ -3,7 +3,8 @@
   USE Write_Field_p
   USE comconst_mod, ONLY: ngroup
-  IMPLICIT NONE
-
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
   include "paramet.h"
   include "comgeom2.h"
@@ -137,7 +138,8 @@
   USE parallel_lmdz
   USE comconst_mod, ONLY: ngroup
-  IMPLICIT NONE
-
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
   include "paramet.h"
   include "comgeom2.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90	(revision 5271)
@@ -80,7 +80,8 @@
     USE serre_mod, ONLY: grossismx
 
-    IMPLICIT NONE
-
-    INCLUDE "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
     INCLUDE "paramet.h"
 
@@ -369,7 +370,8 @@
     USE comvert_mod, ONLY: ap, bp, preff, presnivs, pressure_exner
 
-    IMPLICIT NONE
-
-    INCLUDE "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
     INCLUDE "paramet.h"
 
@@ -729,6 +731,7 @@
 ! field1=a*field1+alpha*field2
 
-    IMPLICIT NONE
-    INCLUDE "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     INCLUDE "paramet.h"
 
@@ -752,6 +755,7 @@
 ! field1=a*field1+alpha*field2
 
-    IMPLICIT NONE
-    INCLUDE "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     INCLUDE "paramet.h"
 
@@ -777,7 +781,8 @@
     USE comconst_mod, ONLY: pi
 
-    IMPLICIT NONE
-
-    INCLUDE "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
     INCLUDE "paramet.h"
     INCLUDE "comgeom.h"
@@ -849,7 +854,8 @@
     USE comconst_mod, ONLY: pi
 
-    IMPLICIT NONE
-
-    INCLUDE "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
     INCLUDE "paramet.h"
     INCLUDE "comgeom.h"
@@ -921,7 +927,8 @@
   USE comconst_mod, ONLY: cpp, kappa
   USE comvert_mod, ONLY: preff, pressure_exner, bp, ap, disvert_type
-  IMPLICIT NONE
-
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
   include "paramet.h"
   include "comgeom2.h"
@@ -1409,7 +1416,8 @@
     use serre_mod, only: clat, clon, grossismx, grossismy
 
-    implicit none
-
-    include "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
+
+
     include "paramet.h"
     include "comgeom2.h"
@@ -1576,6 +1584,7 @@
   SUBROUTINE guide_read(timestep)
     USE netcdf, ONLY: nf90_put_var
-    IMPLICIT NONE
-    include "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     include "paramet.h"
 
@@ -1893,6 +1902,7 @@
   SUBROUTINE guide_read2D(timestep)
     USE netcdf, ONLY: nf90_put_var
-    IMPLICIT NONE
-    include "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     include "paramet.h"
 
@@ -2171,7 +2181,8 @@
     use netcdf, only: nf90_float, nf90_put_var
 
-    IMPLICIT NONE
-
-    INCLUDE "dimensions.h"
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
     INCLUDE "paramet.h"
     INCLUDE "comgeom2.h"
@@ -2393,6 +2404,7 @@
 use parallel_lmdz
 use mod_hallo
+USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 implicit none
-include 'dimensions.h'
+
 include 'paramet.h'
 
@@ -2423,6 +2435,7 @@
 !====================================================================
 subroutine dumpall
-     implicit none
-     include "dimensions.h"
+     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
+
      include "paramet.h"
      include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5271)
@@ -27,10 +27,11 @@
   ! of the American Meteorological Society, 75, 1825.
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
   !   Declararations:
   !   ---------------
 
-  include "dimensions.h"
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5271)
@@ -17,5 +17,6 @@
    USE temps_mod, ONLY: itau_dyn
 
-   implicit none
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
 
   !
@@ -44,5 +45,5 @@
   !
   !   Declarations
-  include "dimensions.h"
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5271)
@@ -16,5 +16,6 @@
    USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn
 
-  implicit none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
 
   !
@@ -45,5 +46,5 @@
   !
   !   Declarations
-  include "dimensions.h"
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5271)
@@ -16,5 +16,6 @@
    USE temps_mod, ONLY: itau_dyn
 
-   implicit none
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
 
   !
@@ -42,5 +43,5 @@
   !
   !   Declarations
-  include "dimensions.h"
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5271)
@@ -16,5 +16,6 @@
   USE temps_mod, ONLY: dt
   USE strings_mod, ONLY: int2str
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
 
@@ -34,5 +35,5 @@
   !   -------------
 
-  include "dimensions.h"
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/integrd_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/integrd_mod.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/integrd_mod.f90	(revision 5271)
@@ -13,6 +13,5 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod
-  USE advect_new_mod,ONLY : advect_new_allocate
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE advect_new_mod,ONLY : advect_new_allocate
   IMPLICIT NONE
   TYPE(distrib),POINTER :: d
Index: /LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5271)
@@ -12,7 +12,8 @@
   !
   USE parallel_lmdz
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5271)
@@ -11,7 +11,8 @@
   USE parallel_lmdz
   USE mod_filtreg_p
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5271)
@@ -12,7 +12,8 @@
   USE parallel_lmdz
   USE mod_filtreg_p
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5271)
@@ -10,7 +10,8 @@
   !
   USE parallel_lmdz
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5271)
@@ -40,5 +40,6 @@
    USE strings_mod, ONLY: int2str
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
    ! ......   Version  du 10/01/98    ..........
@@ -73,5 +74,5 @@
   !   -------------
 
-  include "dimensions.h"
+
   include "paramet.h"
   include "comdissnew.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/leapfrog_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/leapfrog_mod.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/leapfrog_mod.f90	(revision 5271)
@@ -39,6 +39,5 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod
-  USE infotrac
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE infotrac
   USE caldyn_mod,ONLY : caldyn_allocate
   USE integrd_mod,ONLY : integrd_allocate
Index: /LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5271)
@@ -7,6 +7,7 @@
 ! See iniconst for more details.
   USE parallel_lmdz
-  IMPLICIT NONE
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5271)
@@ -7,6 +7,7 @@
 ! See iniconst for more details.
   USE parallel_lmdz
-  IMPLICIT NONE
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5271)
@@ -14,7 +14,8 @@
   !  ....  p est defini aux interfaces des llm couches   .....
   !
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  include "dimensions.h"
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/mod_filtreg_p.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/mod_filtreg_p.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/dyn3dmem/mod_filtreg_p.F90	(revision 5271)
@@ -13,5 +13,6 @@
           matricevn, matricevs
 
-    IMPLICIT NONE
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
     !=======================================================================
@@ -55,5 +56,5 @@
     !
     !
-    INCLUDE "dimensions.h"
+
     INCLUDE "paramet.h"
     INCLUDE "coefils.h"
